END_OF_MAIN(3)

NAME
END_OF_MAIN - Macro to put after your main() function. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

Macro END_OF_MAIN()

DESCRIPTION
In order to maintain cross-platform compatibility, you have to put this macro at the very end of your main function. This macro uses some `magic' to mangle your main procedure on platforms that need it like Windows, some flavours of UNIX or MacOS X. On the other platforms this macro compiles to nothing, so you don't have to #ifdef around it. Example:
   int main(void)
   {
      allegro_init();
      /* more stuff goes here */
      ...
      return 0;
   }
   END_OF_MAIN()

SEE ALSO